> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/network-data/atlas-overview/transactions/full-transaction/full-transaction-for-block.md).

# Full Transaction Info for Block

/blockchain-v2/{asset}/blocks/{block\_hash}/transactions/{transaction\_hash}

Adding a `block_hash`and a `transaction_hash`the prefix returns a block info and transaction info for a single transaction, including all balance updates for that transaction.

| Field                                                               | Description                                                                                                                                                                                                                                                           |
| ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| block\_hash                                                         | Hash of that block (unique per block)                                                                                                                                                                                                                                 |
| parent\_block\_hash                                                 | Hash of the parent block (set to a string of 65 zeros for Genesis blocks)                                                                                                                                                                                             |
| height                                                              | Height of that block (number of confirmed blocks since Genesis block)                                                                                                                                                                                                 |
| transaction\_hash                                                   | Hash of transaction                                                                                                                                                                                                                                                   |
| consensus\_time                                                     | [Consensus timestamp](/network-data/atlas-overview.md#consensus-timestamp); always increases monotonically                                                                                                                                                            |
| miner\_time                                                         | [Miner/producer timestamp](/network-data/atlas-overview.md#miner-timestamps)                                                                                                                                                                                          |
| n\_transactions                                                     | Number of transactions                                                                                                                                                                                                                                                |
| n\_balance updates                                                  | Number of balance updates                                                                                                                                                                                                                                             |
| difficulty                                                          | Difficulty of the block                                                                                                                                                                                                                                               |
| physical\_size                                                      | The physical size of a block in bytes                                                                                                                                                                                                                                 |
| consensus\_size                                                     | The stripped size of the block with Segregated Witness (signature) data                                                                                                                                                                                               |
| consensus\_size\_limit                                              | The size limit of a block in weight units                                                                                                                                                                                                                             |
| min\_chain\_sequence\_number                                        | Starting [sequence number](/network-data/atlas-overview.md#chain-sequencing) (global ordering of the first update in this transaction relative to all other updates recorded on the ledger up until that point) for the balance updates occurring in this transaction |
| max\_chain\_sequence\_number                                        | Last [sequence number](/network-data/atlas-overview.md#chain-sequencing) (global ordering of the last update in this transaction relative to all other updates recorded on the ledger up until that point) for the balance updates occurring in this transaction      |
| n\_balance\_updates                                                 | Number of balance updates                                                                                                                                                                                                                                             |
| amount                                                              | Amount of balance updates                                                                                                                                                                                                                                             |
| [balance\_updates](/network-data/atlas-overview/balance-updates.md) | Array of balance updates for that block                                                                                                                                                                                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://gitbook-docs.coinmetrics.io/network-data/atlas-overview/transactions/full-transaction/full-transaction-for-block.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
